View Issue Details

IDProjectCategoryView StatusLast Update
0004821Talerotherpublic2017-06-06 14:18
ReporterFlorian Dold Assigned ToMarcello Stanisci  
PriorityurgentSeverityfeatureReproducibilityhave not tried
Status closedResolutionno change required 
Product Versiongit (master) 
Target Version0.3Fixed in Version0.3 
Summary0004821: implement django-taler-merchant library for easy merchant integration
DescriptionDjango is a widely used framework, it would be nice if we could have a small library that would be really easy to use from within Django.

The Django library would provide
- the admin interface
- a dumbed down API for payments, without the need to do HTTP requests manually
TagsNo tags attached.

Relationships

related to 0004848 closedMarcello Stanisci need tutorial for Python for Web integrators 

Activities

Christian Grothoff

2017-01-07 21:21

manager   ~0011620

Last edited: 2017-01-12 14:50

Bumping to "urgent", but partially because I would like to see a slight variation of this, which is a _Python_ library to facilitate merchant integration. Even there, I'm not sure a library is the right task, but whatever we can do to make Python frontends fast to setup, not sure if they will all be django-based. Regardless, we also need a Python version of the tutorial, so this development should be driven by the tutorial.

Moreover, the "urgency" comes from me needing this ideally by FOSDEM, but at the latest for EasterHegg (and then in perfection!).

Florian Dold

2017-01-12 13:27

manager   ~0011623

I agree that what we need is a Python (and Ruby) library that makes it very easy to talk to the backend.

I suggest that we factor out the helpers from merchant-frontends into a package that we can than also use ourselves (eat your own dog food ...). The Python tutorial then also should be written against that library.

We probably don't need to have any Django-specific library; rather we need Django (and Flask) template projects that people can clone, preferably even with a mirror on GitHub.

Marcello Stanisci

2017-02-22 15:11

viewer   ~0011829

As privately agreed, the library will NOT be django-compliant.

Issue History

Date Modified Username Field Change
2016-11-29 00:34 Florian Dold New Issue
2016-12-25 14:10 Christian Grothoff Severity minor => feature
2017-01-07 21:21 Christian Grothoff Assigned To => Marcello Stanisci
2017-01-07 21:21 Christian Grothoff Priority normal => urgent
2017-01-07 21:21 Christian Grothoff Status new => assigned
2017-01-07 21:21 Christian Grothoff Product Version => git (master)
2017-01-07 21:21 Christian Grothoff Target Version => 0.3
2017-01-07 21:21 Christian Grothoff Note Added: 0011620
2017-01-12 13:27 Florian Dold Note Added: 0011623
2017-01-12 14:50 Marcello Stanisci Note Edited: 0011620
2017-01-12 14:51 Marcello Stanisci Relationship added related to 0004848
2017-02-22 15:11 Marcello Stanisci Status assigned => resolved
2017-02-22 15:11 Marcello Stanisci Resolution open => no change required
2017-02-22 15:11 Marcello Stanisci Note Added: 0011829
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed